# MSP::CCS::GeodeticParameters Class Reference

`#include <GeodeticParameters.h>`

Inheritance diagram for MSP::CCS::GeodeticParameters:

List of all members.

## Public Member Functions

| GeodeticParameters ()
| GeodeticParameters (CoordinateType::Enum _coordinateType)
| GeodeticParameters (CoordinateType::Enum _coordinateType, HeightType::Enum __heightType)
| GeodeticParameters (const GeodeticParameters &gp)
| ~GeodeticParameters ()
GeodeticParameters & | operator= (const GeodeticParameters &gp)
void | setHeightType (HeightType::Enum __heightType)
HeightType::Enum | heightType () const

## Detailed Description

Definition at line 16 of file GeodeticParameters.h.

## Constructor & Destructor Documentation

GeodeticParameters::GeodeticParameters | ( |  | ) |

Definition at line 10 of file GeodeticParameters.cpp.

GeodeticParameters::GeodeticParameters | ( | CoordinateType::Enum | _coordinateType | ) |

Definition at line 17 of file GeodeticParameters.cpp.

GeodeticParameters::GeodeticParameters | ( | CoordinateType::Enum | _coordinateType,
|  | HeightType::Enum | __heightType |
| ) |  |  |

Definition at line 24 of file GeodeticParameters.cpp.

GeodeticParameters::GeodeticParameters | ( | const GeodeticParameters & | gp | ) |

Definition at line 31 of file GeodeticParameters.cpp.

GeodeticParameters::~GeodeticParameters | ( |  | ) |

Definition at line 39 of file GeodeticParameters.cpp.

## Member Function Documentation

HeightType::Enum GeodeticParameters::heightType | ( |  | ) | const

Definition at line 63 of file GeodeticParameters.cpp.

GeodeticParameters & GeodeticParameters::operator= | ( | const GeodeticParameters & | gp | ) |

Reimplemented from MSP::CCS::CoordinateSystemParameters.

Definition at line 44 of file GeodeticParameters.cpp.

void GeodeticParameters::setHeightType | ( | HeightType::Enum | __heightType | ) |

Definition at line 57 of file GeodeticParameters.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/GeodeticParameters.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystemParameters/GeodeticParameters.cpp